Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356584 (php-robrichards-xmlseclibs1) - Review Request: php-robrichards-xmlseclibs1 - A PHP library for XML Security (version 1)
Summary: Review Request: php-robrichards-xmlseclibs1 - A PHP library for XML Security ...
Keywords:
Status: CLOSED ERRATA
Alias: php-robrichards-xmlseclibs1
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: simplesamlphp php-onelogin-php-saml php-simplesamlphp-saml2_1
TreeView+ depends on / blocked
 
Reported: 2016-07-14 12:28 UTC by Shawn Iwinski
Modified: 2016-08-03 13:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-24 20:21:08 UTC
james.hogarth: fedora-review+


Attachments (Terms of Use)

Description Shawn Iwinski 2016-07-14 12:28:05 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/358dcb8388f4e7621afdb9f678a6f8af4b312299/php-robrichards-xmlseclibs1/php-robrichards-xmlseclibs1.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-robrichards-xmlseclibs1-1.4.1-1.fc24.src.rpm

Description: 
xmlseclibs is a library written in PHP for working with XML Encryption and
Signatures.


Fedora Account System Username: siwinski



Copr build: https://copr.fedorainfracloud.org/coprs/siwinski/simplesamlphp/package/php-robrichards-xmlseclibs1/

This is version 1 of the robrichards/xmlseclibs library which is required by the simplesamlphp/saml2 version 1 library which is required by simplesamlphp/simplesamlphp.  Review request for version 2 of this library is bug 1356569.

Comment 1 James Hogarth 2016-07-14 14:38:05 UTC
As discussed in IRC this should be rebased against the HEAD of the branch ... I'll review when updated.

Comment 3 James Hogarth 2016-07-15 08:56:11 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 1 files have unknown
     license. Detailed output of licensecheck in /home/james/workspace
     /fedora-scm/1356584-php-robrichards-xmlseclibs1/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 5.0.0 DB built May 29 2016 15:12:58 CEST
     static analyze results in /home/james/workspace/fedora-scm/1356584
     -php-robrichards-xmlseclibs1/phpci.log


Rpmlint
-------
Checking: php-robrichards-xmlseclibs1-1.4.1-2.20160518git2e20c8d.fc25.noarch.rpm
          php-robrichards-xmlseclibs1-1.4.1-2.20160518git2e20c8d.fc25.src.rpm
php-robrichards-xmlseclibs1.noarch: W: spelling-error %description -l en_US xmlseclibs 
php-robrichards-xmlseclibs1.noarch: W: spelling-error %description -l en_US mcrypt -> crypt, m crypt
php-robrichards-xmlseclibs1.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-robrichards-xmlseclibs1.src: W: spelling-error %description -l en_US xmlseclibs 
php-robrichards-xmlseclibs1.src: W: spelling-error %description -l en_US mcrypt -> crypt, m crypt
php-robrichards-xmlseclibs1.src: W: spelling-error %description -l en_US usr -> use, us, user
php-robrichards-xmlseclibs1.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
php-robrichards-xmlseclibs1.noarch: W: spelling-error %description -l en_US xmlseclibs 
php-robrichards-xmlseclibs1.noarch: W: spelling-error %description -l en_US mcrypt -> crypt, m crypt
php-robrichards-xmlseclibs1.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
php-robrichards-xmlseclibs1 (rpmlib, GLIBC filtered):
    php(language)
    php-dom
    php-hash
    php-openssl



Provides
--------
php-robrichards-xmlseclibs1:
    php-composer(robrichards/xmlseclibs)
    php-robrichards-xmlseclibs1



Source checksums
----------------
https://github.com/robrichards/xmlseclibs/archive/2e20c8d1d01c806a02e7ac2bc3b2bee00bdb514a/php-robrichards-xmlseclibs1-1.4.1-2e20c8d1d01c806a02e7ac2bc3b2bee00bdb514a.tar.gz :
  CHECKSUM(SHA256) this package     : a532e0cfac9334f8695e15239694f46c388122be4e38d3bf44ff0f9498e9033a
  CHECKSUM(SHA256) upstream package : a532e0cfac9334f8695e15239694f46c388122be4e38d3bf44ff0f9498e9033a


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1356584
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6




===== Notes =====

Just one thing to note though it's not a significant issue or active blocker. Rather than removing the failing test entirely a sed to replace the expected test to PASS can be carried out, as the load public key part is still valid and works.

Package is APPROVED

Comment 4 Shawn Iwinski 2016-07-15 14:21:27 UTC
THANKS for the review!  SCM request submitted via pkgdb.  I added you as a co-maintainer.

Comment 5 Gwyn Ciesla 2016-07-15 15:45:49 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-robrichards-xmlseclibs1

Comment 6 Fedora Update System 2016-07-15 17:11:26 UTC
php-robrichards-xmlseclibs1-1.4.1-2.20160518git2e20c8d.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6a6e50e9bf

Comment 7 Fedora Update System 2016-07-15 17:11:33 UTC
php-robrichards-xmlseclibs1-1.4.1-2.20160518git2e20c8d.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d62dbe2474

Comment 8 Fedora Update System 2016-07-15 17:11:37 UTC
php-robrichards-xmlseclibs1-1.4.1-2.20160518git2e20c8d.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7018873b57

Comment 9 Fedora Update System 2016-07-15 17:11:41 UTC
php-robrichards-xmlseclibs1-1.4.1-2.20160518git2e20c8d.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a09a1e88d1

Comment 10 Fedora Update System 2016-07-16 22:57:40 UTC
php-robrichards-xmlseclibs1-1.4.1-2.20160518git2e20c8d.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d62dbe2474

Comment 11 Fedora Update System 2016-07-17 01:18:44 UTC
php-robrichards-xmlseclibs1-1.4.1-2.20160518git2e20c8d.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a09a1e88d1

Comment 12 Fedora Update System 2016-07-17 16:23:32 UTC
php-robrichards-xmlseclibs1-1.4.1-2.20160518git2e20c8d.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7018873b57

Comment 13 Fedora Update System 2016-07-18 21:20:08 UTC
php-robrichards-xmlseclibs1-1.4.1-2.20160518git2e20c8d.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6a6e50e9bf

Comment 14 Fedora Update System 2016-07-24 20:21:06 UTC
php-robrichards-xmlseclibs1-1.4.1-2.20160518git2e20c8d.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-07-27 20:53:48 UTC
php-robrichards-xmlseclibs1-1.4.1-2.20160518git2e20c8d.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-08-03 12:53:01 UTC
php-robrichards-xmlseclibs1-1.4.1-2.20160518git2e20c8d.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-08-03 13:46:59 UTC
php-robrichards-xmlseclibs1-1.4.1-2.20160518git2e20c8d.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.